#!/usr/bin/env python

import numpy
from osgeo import gdal_array

adj_mesh = numpy.zeros((2,19,41))
_, ysize, xsize = adj_mesh.shape

# X coordinates
adj_mesh[0,:,:] = numpy.array([[x * 64 for x in range(xsize)] \
                               for y in range(ysize)])
# Y coordinates
adj_mesh[1,:,:] = numpy.array([[y * 60 for x in range(xsize)] \
                               for y in range(ysize)])

print adj_mesh
gdal_array.SaveArray(adj_mesh, 'mesh.tif')
